Bug 18381 - doesn't restore the DHCP configuration after re-plugging
: doesn't restore the DHCP configuration after re-plugging
Status: CLOSED WONTFIX
: Branch 4.1
(All bugs in Branch 4.1/etcnet)
: unspecified
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-12-28 19:59 by
Modified: 2014-11-05 20:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-28 19:59:06
etcnet-0.9.7-alt0.M41.1
dhcpcd-3.0.17-alt4

in Desktop 4.1.1RC 2008/11/15.

My default eth0 configuration is to use DHCP and Zeroconf.

I booted the computer with the Ethernet cable plugged in, and in the network,
there constantly was a running DHCP during the described case. It successfully
configured the interface by DHCP, the connection worked.

Then I unplugged this computer, and after several hours plugged it back. It
didn't bring back the correct configuration. The configuration after
re-plugging was missing the DHCP-assigned IP address: 

# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:13:A9:91:2A:52
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2929 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3053 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:2034756 (1.9 MiB)  TX bytes:510247 (498.2 KiB)
          Interrupt:17

eth0:avahi Link encap:Ethernet  HWaddr 00:13:A9:91:2A:52
          inet addr:169.254.5.91  Bcast:169.254.255.255  Mask:255.255.0.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Interrupt:17

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:72 errors:0 dropped:0 overruns:0 frame:0
          TX packets:72 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:3428 (3.3 KiB)  TX bytes:3428 (3.3 KiB)

# 

The relevant logs (excerpts from /var/log/messages):

on boot (it did it well):

Dec 28 16:36:57 localhost kernel: sky2 eth0: enabling interface
Dec 28 16:36:57 localhost kernel: sky2 eth0: Link is up at 100 Mbps, full
duplex, flow control both
Dec 28 16:36:57 localhost klogd: klogd startup succeeded
Dec 28 16:36:57 localhost udevd-final: Handling remaining udev events:
succeeded
Dec 28 16:36:57 localhost rc: Starting fbsetfont: succeeded
Dec 28 16:36:57 localhost /etc/net: ERROR: /etc/net/scripts/ifup-common: No
TYPE is specified for iface 'wmaster0' and can't guess automatically. Please
fix.
Dec 28 16:36:57 localhost /etc/net: ERROR: /etc/net/scripts/ifup-removable: No
TYPE is specified for iface 'wmaster0' and can't guess automatically. Please
fix.
Dec 28 16:36:57 localhost /etc/net: ERROR: /etc/net/scripts/ifup-removable:
USE_HOTPLUG is disabled for wlan0
Dec 28 16:36:57 localhost ifplugd(eth0)[4829]: Executing
'/etc/net/scripts/ifplugd.action eth0 up'.
Dec 28 16:36:58 localhost dhcpcd[5201]: eth0: dhcpcd 3.0.17 starting
Dec 28 16:36:58 localhost dhcpcd[5201]: eth0: hardware address =
00:13:a9:91:2a:52
Dec 28 16:36:58 localhost messagebus: dbus-daemon startup succeeded
Dec 28 16:36:58 localhost kernel: NET: Registered protocol family 17
Dec 28 16:36:58 localhost dhcpcd[5201]: eth0: broadcasting for a lease
Dec 28 16:36:58 localhost sysfs: Setting sysfs variables...
Dec 28 16:36:58 localhost sysfs: ^[[73G
Dec 28 16:36:58 localhost sysfs: [
Dec 28 16:36:58 localhost sysfs: ^[[1m^[[32m
...
Dec 28 16:36:59 localhost network: Computing interface groups:
Dec 28 16:36:59 localhost network: .
Dec 28 16:36:59 localhost last message repeated 2 times
Dec 28 16:36:59 localhost network:  3 interfaces found
Dec 28 16:36:59 localhost network: Starting group 0/virtual (1 interfaces)
Dec 28 16:36:59 localhost network: ^IStarting lo:
Dec 28 16:36:59 localhost network: .
Dec 28 16:36:59 localhost last message repeated 3 times
Dec 28 16:36:59 localhost network: OK
Dec 28 16:36:59 localhost network: Starting group 1/realphys (2 interfaces)
Dec 28 16:36:59 localhost network: ^IStarting eth0:
Dec 28 16:36:59 localhost network: .
Dec 28 16:36:59 localhost ifplugd(eth0)[4829]: ifplugd 0.28 initializing.
Dec 28 16:36:59 localhost network: OK
Dec 28 16:36:59 localhost network: ^IStarting wlan0:
Dec 28 16:36:59 localhost ifplugd(eth0)[4829]: Using interface
eth0/00:13:A9:91:2A:52 with driver <sky2> (version: 1.21)
Dec 28 16:36:59 localhost ifplugd(eth0)[4829]: Using detection mode:
SIOCETHTOOL
Dec 28 16:36:59 localhost ifplugd(eth0)[4829]: Initialization complete, link
beat not detected.
Dec 28 16:36:59 localhost network:  on boot
Dec 28 16:36:59 localhost network: SKIPPED
Dec 28 16:36:59 localhost network: Processing /etc/net/vlantab:
Dec 28 16:36:59 localhost network: empty.
Dec 28 16:36:59 localhost rc: Starting network: succeeded
...
Dec 28 16:36:59 localhost ifplugd(eth0)[4829]: Link beat detected.
...
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: offered 10.1.1.11 from 10.1.1.2
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: got subsequent offer of
10.1.1.11, ignoring
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: leased 10.1.1.11 for 86400
seconds
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: adding IP address 10.1.1.11/24
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: adding route to 10.1.1.0
(255.255.255.0) via 0.0.0.0 metric 1
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: removing route to 10.1.1.0
(255.255.255.0) via 0.0.0.0 metric 0
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: adding default route via 10.1.1.2
metric 1
Dec 28 16:37:01 localhost dhcpcd[5201]: eth0: setting hostname to `localhost'
Dec 28 16:37:01 localhost dhcpcd.sh: interface eth0 has been configured with
new IP=10.1.1.11
Dec 28 16:37:01 localhost ifplugd(eth0)[4829]: client: ....
Dec 28 16:37:01 localhost ifplugd(eth0)[4829]: Program executed successfully.
...
Dec 28 16:37:08 localhost avahi-daemon[5747]: Found user '_avahi' (UID 115) and
group '_avahi' (GID 38).
Dec 28 16:37:08 localhost avahi-daemon[5747]: Successfully dropped root
privileges.
Dec 28 16:37:08 localhost avahi-daemon[5747]: avahi-daemon 0.6.22 starting up.
Dec 28 16:37:08 localhost kernel: warning: `avahi-daemon' uses 32-bit
capabilities (legacy support in use)
Dec 28 16:37:08 localhost avahi-daemon[5747]: Successfully called chroot().
Dec 28 16:37:08 localhost avahi-daemon[5747]: Successfully dropped remaining
capabilities.
Dec 28 16:37:08 localhost avahi-daemon[5747]: Loading service file
/services/ssh.service.
Dec 28 16:37:08 localhost avahi-daemon[5747]: System host name is set to
'localhost'. This is not a suitable mDNS host name, looking for alternatives.
Dec 28 16:37:08 localhost avahi-daemon[5747]: Joining mDNS multicast group on
interface eth0.IPv4 with address 10.1.1.11.
Dec 28 16:37:08 localhost avahi-daemon[5747]: New relevant interface eth0.IPv4
for mDNS.
Dec 28 16:37:08 localhost avahi-daemon[5747]: Network interface enumeration
completed.
Dec 28 16:37:08 localhost avahi-daemon[5747]: Registering new address record
for 10.1.1.11 on eth0.IPv4.
Dec 28 16:37:08 localhost avahi-daemon[5747]: Registering HINFO record with
values 'I686'/'LINUX'.
Dec 28 16:37:08 localhost avahi-daemon: avahi-daemon startup succeeded
Dec 28 16:37:08 localhost xinetd: xinetd startup succeeded
Dec 28 16:37:09 localhost avahi-daemon[5747]: Server startup complete. Host
name is linux.local. Local service cookie is 1584092672.
Dec 28 16:37:09 localhost avahi-daemon[5747]: Service "linux"
(/services/ssh.service) successfully established.
...
Dec 28 16:37:14 localhost NetworkManager: <info>  starting...
Dec 28 16:37:14 localhost NetworkManager: <WARN>  nm_generic_enable_loopback():
error -17 returned from rtnl_addr_add(): Sucess
Dec 28 16:37:14 localhost NetworkManager: <info>  Found radio killswitch
/org/freedesktop/Hal/devices/ipw_wlan_switch
Dec 28 16:37:14 localhost NetworkManager: <info>  eth0: Device is
fully-supported using driver 'sky2'.
Dec 28 16:37:14 localhost NetworkManager: <info>  Found new Ethernet device
'eth0'.
Dec 28 16:37:14 localhost NetworkManager: <info>  (eth0): exported as
/org/freedesktop/Hal/devices/net_00_13_a9_91_2a_52
Dec 28 16:37:14 localhost NetworkManager: <info>  wlan0: Device is
fully-supported using driver 'iwl3945'.
Dec 28 16:37:14 localhost NetworkManager: <info>  wlan0: driver supports SSID
scans (scan_capa 0x01).
Dec 28 16:37:14 localhost NetworkManager: <info>  Found new wireless (802.11)
device 'wlan0'.
Dec 28 16:37:14 localhost NetworkManager: <info>  (wlan0): exported as
/org/freedesktop/Hal/devices/net_00_19_d2_8b_85_51
Dec 28 16:37:14 localhost NetworkManager: <info>  Trying to start the
supplicant...
Dec 28 16:37:14 localhost NetworkManager: <info>  Trying to start the system
settings daemon...
Dec 28 16:37:14 localhost NetworkManager: <info>  (eth0): carrier now ON
(device state 1)
Dec 28 16:37:14 localhost NetworkManager: NetworkManager startup succeeded
Dec 28 16:37:14 localhost NetworkManager: <info>  (wlan0): supplicant manager
is now in state 1 (from 0).
Dec 28 16:37:14 localhost nm-system-settings: Loaded plugin etcnet-alt: (c)
2008 Mikhail Efremov <sem@altlinux.org>.
Dec 28 16:37:14 localhost nm-system-settings: tmp.prefix = 23, prefix = 23
Dec 28 16:37:14 localhost nm-system-settings: nm_connection_verify: assertion
`*error == NULL' failed
Dec 28 16:37:14 localhost nm-system-settings: tmp.prefix = 23, prefix = 23
Dec 28 16:37:14 localhost nm-system-settings: nm_connection_verify: assertion
`*error == NULL' failed
Dec 28 16:37:14 localhost NetworkManager: <info>  (eth0): now unmanaged
Dec 28 16:37:14 localhost NetworkManager: <info>  (wlan0): now unmanaged
...

Good. Then it was unplugged:

Dec 28 17:20:39 localhost NetworkManager: <info>  (eth0): carrier now OFF
(device state 1)
Dec 28 17:20:40 localhost ifplugd(eth0)[4829]: Link beat lost.
Dec 28 17:20:51 localhost ifplugd(eth0)[4829]: Executing
'/etc/net/scripts/ifplugd.action eth0 down'.
Dec 28 17:20:52 localhost avahi-daemon[5747]: Withdrawing address record for
10.1.1.11 on eth0.
Dec 28 17:20:52 localhost avahi-daemon[5747]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 10.1.1.11.
Dec 28 17:20:52 localhost avahi-daemon[5747]: Interface eth0.IPv4 no longer
relevant for mDNS.
Dec 28 17:20:52 localhost ifplugd(eth0)[4829]: Program executed successfully.
...

Then it was plugged back:

Dec 28 19:26:07 localhost kernel: sky2 eth0: Link is up at 100 Mbps, full
duplex, flow control both
Dec 28 19:26:07 localhost NetworkManager: <info>  (eth0): carrier now ON
(device state 1)
Dec 28 19:26:08 localhost ifplugd(eth0)[4829]: Link beat detected.
Dec 28 19:26:09 localhost ifplugd(eth0)[4829]: Executing
'/etc/net/scripts/ifplugd.action eth0 up'.
Dec 28 19:26:09 localhost dhcpcd[19510]: eth0: dhcpcd already running
(/var/run/dhcpcd-eth0.pid)
Dec 28 19:26:09 localhost ifplugd(eth0)[4829]: client: ..Error, eth0: dhcpcd
already running (/var/run/dhcpcd-eth0.pid)
Dec 28 19:26:09 localhost avahi-autoipd(eth0)[19518]: Found user '_autoipd'
(UID 103) and group '_autoipd' (GID 109).
Dec 28 19:26:09 localhost avahi-autoipd(eth0)[19518]: Successfully called
chroot().
Dec 28 19:26:09 localhost avahi-autoipd(eth0)[19518]: Successfully dropped root
privileges.
Dec 28 19:26:09 localhost avahi-autoipd(eth0)[19518]: Starting with address
169.254.5.91
Dec 28 19:26:16 localhost avahi-autoipd(eth0)[19518]: Callout BIND, address
169.254.5.91 on interface eth0
Dec 28 19:26:16 localhost avahi-daemon[5747]: Joining mDNS multicast group on
interface eth0.IPv4 with address 169.254.5.91.
Dec 28 19:26:16 localhost avahi-daemon[5747]: New relevant interface eth0.IPv4
for mDNS.
Dec 28 19:26:16 localhost avahi-daemon[5747]: Registering new address record
for 169.254.5.91 on eth0.IPv4.
Dec 28 19:26:20 localhost avahi-autoipd(eth0)[19518]: Successfully claimed IP
address 169.254.5.91
Dec 28 19:26:20 localhost ifplugd(eth0)[4829]: client: !..
Dec 28 19:26:20 localhost ifplugd(eth0)[4829]: Program executed successfully.

-- and after this the wished address was not assigned again, the network
"doesn't work".

So, I did a restart, after which it worked again:

Dec 28 19:31:16 localhost dhcpcd[5425]: eth0: received SIGHUP, releasing lease
Dec 28 19:31:16 localhost dhcpcd[5425]: eth0: removing default route via
10.1.1.2 metric 1
Dec 28 19:31:16 localhost dhcpcd[5425]: eth0: netlink: No such process
Dec 28 19:31:16 localhost dhcpcd[5425]: eth0: deleting IP address 10.1.1.11/24
Dec 28 19:31:16 localhost dhcpcd[5425]: eth0: netlink: Cannot assign requested
address
Dec 28 19:31:16 localhost dhcpcd[5425]: eth0: exiting
Dec 28 19:31:18 localhost avahi-autoipd(eth0)[19518]: Got SIGTERM, quitting.
Dec 28 19:31:18 localhost avahi-autoipd(eth0)[19518]: Callout STOP, address
169.254.5.91 on interface eth0
Dec 28 19:31:18 localhost avahi-daemon[5747]: Withdrawing address record for
169.254.5.91 on eth0.
Dec 28 19:31:18 localhost avahi-daemon[5747]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 169.254.5.91.
Dec 28 19:31:18 localhost avahi-daemon[5747]: Interface eth0.IPv4 no longer
relevant for mDNS.
Dec 28 19:31:18 localhost ifplugd(eth0)[4829]: Exiting.
Dec 28 19:31:18 localhost kernel: sky2 eth0: disabling interface
Dec 28 19:31:18 localhost NetworkManager: <info>  (eth0): carrier now OFF
(device state 1)
Dec 28 19:31:19 localhost ifplugd(eth0)[20458]: ifplugd 0.28 initializing.
Dec 28 19:31:19 localhost kernel: sky2 eth0: enabling interface
Dec 28 19:31:19 localhost ifplugd(eth0)[20458]: Using interface
eth0/00:13:A9:91:2A:52 with driver <sky2> (version: 1.21)
Dec 28 19:31:19 localhost ifplugd(eth0)[20458]: Using detection mode:
SIOCETHTOOL
Dec 28 19:31:19 localhost ifplugd(eth0)[20458]: Initialization complete, link
beat not detected.
Dec 28 19:31:21 localhost kernel: sky2 eth0: Link is up at 100 Mbps, full
duplex, flow control both
Dec 28 19:31:21 localhost NetworkManager: <info>  (eth0): carrier now ON
(device state 1)
Dec 28 19:31:21 localhost ifplugd(eth0)[20458]: Link beat detected.
Dec 28 19:31:22 localhost ifplugd(eth0)[20458]: Executing
'/etc/net/scripts/ifplugd.action eth0 up'.
Dec 28 19:31:22 localhost dhcpcd[20533]: eth0: dhcpcd 3.0.17 starting
Dec 28 19:31:22 localhost dhcpcd[20533]: eth0: hardware address =
00:13:a9:91:2a:52
Dec 28 19:31:22 localhost dhcpcd[20533]: eth0: broadcasting for a lease
Dec 28 19:31:25 localhost dhcpcd[20533]: eth0: offered 10.1.1.11 from 10.1.1.2
Dec 28 19:31:25 localhost dhcpcd[20533]: eth0: got subsequent offer of
10.1.1.11, ignoring
Dec 28 19:31:25 localhost dhcpcd[20533]: eth0: leased 10.1.1.11 for 86400
seconds
Dec 28 19:31:25 localhost dhcpcd[20533]: eth0: adding IP address 10.1.1.11/24
Dec 28 19:31:25 localhost dhcpcd[20533]: eth0: adding route to 10.1.1.0
(255.255.255.0) via 0.0.0.0 metric 1
Dec 28 19:31:25 localhost dhcpcd[20533]: eth0: removing route to 10.1.1.0
(255.255.255.0) via 0.0.0.0 metric 0
Dec 28 19:31:25 localhost dhcpcd[20533]: eth0: adding default route via
10.1.1.2 metric 1
Dec 28 19:31:25 localhost avahi-daemon[5747]: Joining mDNS multicast group on
interface eth0.IPv4 with address 10.1.1.11.
Dec 28 19:31:25 localhost avahi-daemon[5747]: New relevant interface eth0.IPv4
for mDNS.
Dec 28 19:31:25 localhost dhcpcd.sh: interface eth0 has been configured with
new IP=10.1.1.11
Dec 28 19:31:25 localhost avahi-daemon[5747]: Registering new address record
for 10.1.1.11 on eth0.IPv4.
Dec 28 19:31:26 localhost ifplugd(eth0)[20458]: client: ....
Dec 28 19:31:26 localhost ifplugd(eth0)[20458]: Program executed successfully.
...

It "works" again.

My configuration:

[root@localhost ~]# cat /etc/net/ifaces/default/options
# This file doesn't contain comments any more, refer to etcnet-options(5)
# manpage for detailed options description.

DISABLED=no
BOOTPROTO=static
ONBOOT=yes
USE_HOTPLUG=no
USE_PCMCIA=no
CONFIG_IPV4=yes
CONFIG_IPV6=no
CONFIG_IPX=no
CONFIG_QOS=yes
CONFIG_WIRELESS=no
CONFIG_FW=no
KEEP_DOWN=no
DONT_FLUSH=no
IFUP_CHILDREN=no
IFUP_PARENTS=yes
IFDOWN_CHILDREN=yes
IFDOWN_PARENTS=no
DHCP_ARGS='-m 1'
NM_CONTROLLED=yes
[root@localhost ~]# cat /etc/net/ifaces/default/options-eth
# This file doesn't contain comments any more.
# For detailed options description refer to etcnet-options(5) manpage,
# section 'Ethernet options'.

USE_IFPLUGD=yes
# But is ifplugd suitable for wireless?!
PERSISTENT_IFPLUGD=no
IFPLUGD_EXTRA_ARGS='--delay-up=0 --delay-down=10'
LINKDETECT=auto
LINKDELAY=5
CONFIG_WIRELESS=yes
AUTO_BROADCAST=yes
BOOTPROTO=dhcp-ipv4ll
[root@localhost ~]# cat /etc/net/ifaces/eth0/options
TYPE=eth
DISABLED=no
NM_CONTROLLED=no
# I have a reasonable self-configuring default:
#BOOTPROTO=dhcp,ipv4ll
[root@localhost ~]#
------- Comment #1 From 2008-12-28 21:48:31 -------
Reproduceable.

Forgot to say: it is ifplugd-0.28-alt4 which is in this distro.
------- Comment #2 From 2010-02-22 03:56:12 -------
BTW, this problem doesn't occur in a 4.0 system (Lite 4.0.x):

$ rpm -q ifplugd etcnet dhcpcd 
ifplugd-0.28-alt3
etcnet-0.9.7-alt0.M40.1
dhcpcd-1.3.22pl4-alt3.0
$ 

but, as I have described in the report, occurs in a 4.1 system (Desktop 4.1):

$ rpm -q ifplugd etcnet dhcpcd 
ifplugd-0.28-alt4
etcnet-0.9.7-alt0.M41.1
dhcpcd-3.0.17-alt4
$
------- Comment #3 From 2010-02-22 04:01:25 -------
(In reply to comment #2)
> BTW, this problem doesn't occur in a 4.0 system (Lite 4.0.x):

So, the only significant difference seems to be in dhcpcd. 

> $ rpm -q ifplugd etcnet dhcpcd 
> ifplugd-0.28-alt3
> etcnet-0.9.7-alt0.M40.1
> dhcpcd-1.3.22pl4-alt3.0
> $ 
> 
> but, as I have described in the report, occurs in a 4.1 system (Desktop 4.1):
> 
> $ rpm -q ifplugd etcnet dhcpcd 
> ifplugd-0.28-alt4
> etcnet-0.9.7-alt0.M41.1
> dhcpcd-3.0.17-alt4
> $
------- Comment #4 From 2010-02-22 04:15:10 -------
(In reply to comment #3)
> (In reply to comment #2)
> > BTW, this problem doesn't occur in a 4.0 system (Lite 4.0.x):
> 
> So, the only significant difference seems to be in dhcpcd. 

The problem persists with dhcpcd-4.0.15-alt2 from Sisyphus.

> > but, as I have described in the report, occurs in a 4.1 system (Desktop 4.1):
> > 
> > $ rpm -q ifplugd etcnet dhcpcd 
> > ifplugd-0.28-alt4
> > etcnet-0.9.7-alt0.M41.1
> > dhcpcd-3.0.17-alt4
> > $
------- Comment #5 From 2010-02-22 04:23:47 -------
(In reply to comment #0)
> ...
> 
> Good. Then it was unplugged:
> 
> Dec 28 17:20:39 localhost NetworkManager: <info>  (eth0): carrier now OFF
> (device state 1)
> Dec 28 17:20:40 localhost ifplugd(eth0)[4829]: Link beat lost.
> Dec 28 17:20:51 localhost ifplugd(eth0)[4829]: Executing
> '/etc/net/scripts/ifplugd.action eth0 down'.

> ...
> 
> Then it was plugged back:
> 
> Dec 28 19:26:07 localhost kernel: sky2 eth0: Link is up at 100 Mbps, full
> duplex, flow control both
> Dec 28 19:26:07 localhost NetworkManager: <info>  (eth0): carrier now ON
> (device state 1)
> Dec 28 19:26:08 localhost ifplugd(eth0)[4829]: Link beat detected.
> Dec 28 19:26:09 localhost ifplugd(eth0)[4829]: Executing
> '/etc/net/scripts/ifplugd.action eth0 up'.
> Dec 28 19:26:09 localhost dhcpcd[19510]: eth0: dhcpcd already running
> (/var/run/dhcpcd-eth0.pid)
> Dec 28 19:26:09 localhost ifplugd(eth0)[4829]: client: ..Error, eth0: dhcpcd
> already running (/var/run/dhcpcd-eth0.pid)

So, an even more probable reason for the problem is that the used iflugd
(ifplugd-0.28-alt4) doesn't know how to talk correctly to the newer dhcpcd:
there is no such error in the 4.0 system with a dhcpcd-1.3.22pl4-alt3.0.

Perhaps, the newer dhcpcd (> 3.0) should conflict with this version of ifplugd,
so that dhcpcd wouldn't be upgraded in a system with the old incompatible
ifplugd.

And ifplugd should be fixed.
------- Comment #6 From 2010-02-22 04:32:05 -------
(In reply to comment #5)

> > Dec 28 19:26:09 localhost ifplugd(eth0)[4829]: Executing
> > '/etc/net/scripts/ifplugd.action eth0 up'.
> > Dec 28 19:26:09 localhost dhcpcd[19510]: eth0: dhcpcd already running
> > (/var/run/dhcpcd-eth0.pid)
> > Dec 28 19:26:09 localhost ifplugd(eth0)[4829]: client: ..Error, eth0: dhcpcd
> > already running (/var/run/dhcpcd-eth0.pid)
> 
> So, an even more probable reason for the problem is that the used iflugd

Sorry, it's clear that the problem is in the script provided by etcnet:

$ rpm -qf /etc/net/scripts/ifplugd.action
etcnet-0.9.7-alt0.M41.1
$ 


> (ifplugd-0.28-alt4) doesn't know how to talk correctly to the newer dhcpcd:
> there is no such error in the 4.0 system with a dhcpcd-1.3.22pl4-alt3.0.
> 
> Perhaps, the newer dhcpcd (> 3.0) should conflict with this version of ifplugd,
> so that dhcpcd wouldn't be upgraded in a system with the old incompatible
> ifplugd.
> 
> And ifplugd should be fixed.
------- Comment #7 From 2010-02-22 04:36:15 -------
Perhaps, the solution is the solution of
https://bugzilla.altlinux.org/show_bug.cgi?id=19582 .
------- Comment #8 From 2010-02-22 12:31:59 -------
Sorry, I'm largely out of that context by now.

Just in case, look at ifplugstatus(8) to verify that there's no additional
problem with e.g. kernel driver or ifplugd link detection.
------- Comment #9 From 2010-02-22 15:14:26 -------
could you test recent etcnet please ?
------- Comment #10 From 2014-11-05 20:41:54 -------
В 4.1/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.